{% extends 'base.html' %}
{% load static %}
{% load auth_extras %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/home.css' %}">
{% endblock css %}
{% block title %}
Detail film
{% endblock title %}
{% block content %}
    <div style="height: 20px;"></div>
    <div class="container" style="max-width: 1000px;">
        <div>
            <div style="height: 50px;"></div>
            {% for message in messages %}
                <div class="alert alert-primary" id="{{message.tags}}" value="{{message}}" role="alert">
                    {{message}}
                    {% if message.tags == 'success' %}
                    <form action="{% url 'watchlist:batalkan_tambah_film' film.pk %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-primary">Batalkan</button>
                    </form>
                    {% endif %}
                </div>
            {% endfor %}

            <div style="color: #011936;">
                <div>
                    <a href="/film"><button style="color: #FFFCF9;" type="button" class="btn btn-primary">Kembali Ke Daftar</button></a>
                    {%if user.is_authenticated%}

                    <form action="{% url 'watchlist:tambah_film_watchlist' film.pk %}" method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-primary">Tambahkan Ke Watchlist</button>
                    </form>

                    {% if request.user|has_group:"maintainer" %} 
                    <a href="/film/edit-form/{{ film.pk }}"><button style="color: #011936; background-color: #B1EDE8;" type="button" class="btn btn-info">Edit film</button></a>
                    <!--<button style="color: #011936;" type="button" class="btn btn-danger">Hapus Artikel</button>-->
                    <!-- Button trigger modal -->
                    <button style="color: #FFFCF9;" type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Hapus Film
                </button>
                {%endif%}
                {%endif%}
                <!-- Modal -->
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Delete Confirmation</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <h5>Are you really sure you want to delete this Film???</h5>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                                <a href="/film/delete/{{film.pk}}"><button type="button" class="btn btn-danger">Yes, Delete!</button></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div style="height: 20px;"></div>
        <h1 class="text-center" style="font-weight: bolder;">{{ film.judul_film }}</h1>
        <div style="height: 50px;"></div>
        <div class="text-center">
            <img src="{{ film.poster }}" alt="Tautan gambar yang diberikan tidak bisa diakses">
        </div>
        <div style="height: 20px;"></div>
        <div>
            <h6 style="font-weight: bold;">{{ film.tahun_rilis }}</h6>
            <h5 style="font-weight: bold;">Penulis: {{ film.sutradara }}</h5>
        </div>
        <div style="height: 20px;"></div>
        <div id="body">
            <p>{{ film.sinopsis }}</p>
        </div>
        <br>
        <div>
            <a href="{% url 'forum:forum_view' id=film.id %}"> <button style="color: #FFFCF9;" type="button" class="btn btn-primary">Lihat Forum</button></a>
        </div>
        <h3>Ulasan mengenai {{film.judul_film}}</h3>
        {% for review in reviews %}
        <br>
        <div class='p-3 mb-2 bg-dark text-white'>
            <div>
                <h4>
                    {{review.author}}
                </h4>
            </div>
            <div><span style='font-size: 50px;'>{{ review.rating }}</span> / 10</div>
            <hr>
            <div>
                <p>
                    {{review.body}}
                </p>
            </div>
        </div>
        {% endfor %}
    </div><br><br>
</div>
{% endblock content %}
{% block script %}
{% endblock script %}